Seite 1 von 1

wiimote configurator python 2.6 dll fehlt

Verfasst: Fr Mai 16, 2014 22:12
von Bampt
wollte grade mal das verbinden eines classic controllers mit der Pandora testen,
klappte vor 2 jahren noch sehr gut auf der cc pandora, nun mit neuestem Panda OS update scheint python 2.6 zu fehlen
(2.7.3 ist glaube ich installiert)
Es hiess ja das 2.7 abwaertskompatibel sei zu 2.6 aber der wiimote configurator meckert weil er eine pyton 2.6 dll nicht finden kann.

Gibt es eine moeglichkeit python auf2.6 downzugraden?

Echt schade, da der wiimote configurator fest zu dem OS Package gehoert.

-- Sa Mai 17, 2014 00:33 --

eine lange suche spaeter habe ich antworten gefunden:
1.
sudo ln -s /usr/lib/libpython2.7.so.1.0 /usr/lib/libpython2.6.so.1.0
ausfuehren, damit wird temporaer auf python 2.6 umgestellt wie es scheint

2.
falls dennoch kommt: Failed to start uinput ,
dann hilft sudo modprobe uinput weiter um den admin zugriff auf uinput zu erlauben,
hatte auch damals dieses problem mit dem xbox360 wireless controller.

Und nun laeuft das wieder schoen, vlt. kann man ja die wiimotecontrol.pnd updaten,
ist auch schon ziemlich alt...

Re: AW: wiimote configurator python 2.6 dll fehlt

Verfasst: Sa Mai 17, 2014 07:27
von IngoReis
oh cool dass du gleich die Lösung gefunden hast.
Leider gehen seit den Python Update einige Aps aus dem Repo nimmer richtig.
Es scheinen auch paar Fonts gelöscht worden zu sein,weil PanPlayer nicht mehr starten will und ich was von Fonts las als Fehlermeldung.
Aber danke für deine Lösung,die merke ich mir ;)

Re: wiimote configurator python 2.6 dll fehlt

Verfasst: Do Mai 22, 2014 11:53
von taake
Bampt hat geschrieben: 1.
sudo ln -s /usr/lib/libpython2.7.so.1.0 /usr/lib/libpython2.6.so.1.0
ausfuehren, damit wird temporaer auf python 2.6 umgestellt wie es scheint
Nicht ganz die 'Einstellung' ist permanent, du erstellst damit ein Symlink der /usr/lib/libpython2.6.so.1.0 auf /usr/lib/libpython2.7.so.1.0 verweißt, halt nen Link :)

Allerdings steht in Python-Scripts der Interpreter oft als erstes in der Datei.

Daher ist es in den meisten Fällen save ihn auf system default zu stellen

Code: Alles auswählen

#!/usr/bin/env python
Dann wird der systemdefault Interpreter aufgerufen.